Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(6)

Issue 11191003: Fix a crash when a line with an HTTP chunk length is too long (Closed)

Created:
6 years, 6 months ago by mmenke
Modified:
6 years, 6 months ago
CC:
chromium-reviews, cbentzel+watch_chromium.org, darin-cc_chromium.org
Visibility:
Public.

Description

Fix a crash when a line containing the length of an HTTP chunk-encoded response is too long. R=willchan@chromium.org BUG=155711 Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=162756

Patch Set 1 : #

Patch Set 2 : Fix signed / unsigned comparison #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+72 lines, -12 lines) Patch
M net/http/http_chunked_decoder.h View 1 1 chunk +4 lines, -0 lines 0 comments Download
M net/http/http_chunked_decoder.cc View 1 4 chunks +12 lines, -3 lines 0 comments Download
M net/http/http_chunked_decoder_unittest.cc View 5 chunks +56 lines, -9 lines 1 comment Download

Messages

Total messages: 7 (0 generated)
mmenke
I considered only imposing a length on the data before a chunk-encoded extensions, and just ...
6 years, 6 months ago (2012-10-16 16:19:34 UTC) #1
mmenke
willchan: Ping! Don't know if you've overlooked this, or if you've been busy. If you ...
6 years, 6 months ago (2012-10-18 15:24:23 UTC) #2
willchan no longer on Chromium
I missed it. Sorry. LGTM. Only issue I wonder about is how large chunks can ...
6 years, 6 months ago (2012-10-18 16:33:51 UTC) #3
mmenke
On 2012/10/18 16:33:51, willchan wrote: > I missed it. Sorry. LGTM. > > Only issue ...
6 years, 6 months ago (2012-10-18 16:39:08 UTC) #4
willchan no longer on Chromium
Ah, I see. That sounds great then :) On Thu, Oct 18, 2012 at 9:39 ...
6 years, 6 months ago (2012-10-18 17:14:51 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/mmenke@chromium.org/11191003/11004
6 years, 6 months ago (2012-10-18 17:21:50 UTC) #6
commit-bot: I haz the power
6 years, 6 months ago (2012-10-18 19:18:05 UTC) #7
Change committed as 162756

Powered by Google App Engine
This is Rietveld 408576698